/*



*/

import java.time.Instant;
import java.time.Duration;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.io.IOException;

public class CountBytes_v2_stdin
{
   public static void main(String[] args) throws IOException
   {
      final SimpleDateFormat ft = new SimpleDateFormat("hh:mm:ss");
      System.out.println(ft.format(new Date()) + " Count bytes in stdin ver 2");
      Instant start = Instant.now();
      long byteCounter = 0;

      while ( System.in.read() != -1 ) // read one byte at a time
      {
         ++byteCounter;
      }

      Instant stop = Instant.now();
      long time = Duration.between(start, stop).toMillis();
      System.out.printf("%s %,d bytes read from stdin.\n", ft.format(new Date()), byteCounter);
      System.out.printf("elapsed time: %,dms\n", time);
   }
}
