/*



*/

import java.time.Instant;
import java.time.Duration;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.io.IOException;

public class CountLines_v2_stdin
{
   public static void main(String[] args) throws IOException
   {
      int c;

      final SimpleDateFormat ft = new SimpleDateFormat("hh:mm:ss");
      System.out.println(ft.format(new Date()) + " Count lines in stdin ver 2");
      Instant start = Instant.now();
      long byteCounter = 0;
      long lineCounter = 1;

      while ( (c = System.in.read()) != -1 ) // read one byte at a time
      {
         ++byteCounter;
         if ( '\n' == c )
         {
            ++lineCounter;
         }
      }

      Instant stop = Instant.now();
      long time = Duration.between(start, stop).toMillis();
      System.out.printf("%s %,d bytes read from stdin.\n", ft.format(new Date()), byteCounter);
      System.out.printf("%s %,d lines read from stdin.\n", ft.format(new Date()), lineCounter);
      System.out.printf("elapsed time: %,dms\n", time);
   }
}
