/*



*/

import java.time.Instant;
import java.time.Duration;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.io.IOException;

public class CountBytes_v4_stdin
{
   private static final int BUFFERSIZE = 16 * 8192;

   public static void main(String[] args) throws IOException
   {
      byte[] c = new byte[BUFFERSIZE];
      int n;

      final SimpleDateFormat ft = new SimpleDateFormat("hh:mm:ss");
      System.out.println(ft.format(new Date()) + " Count bytes in stdin ver 4");
      Instant start = Instant.now();
      long byteCounter = 0;

      while ( (n = System.in.read(c)) != -1 ) // read one buffer full at a time
      {
         byteCounter += n;
      }

      Instant stop = Instant.now();
      long time = Duration.between(start, stop).toMillis();
      System.out.printf("%s %,d bytes read from stdin.\n", ft.format(new Date()), byteCounter);
      System.out.printf("elapsed time: %,dms\n", time);
   }
}
