/*



*/

import java.time.Instant;
import java.time.Duration;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.io.IOException;
import java.io.File;
import java.io.FileInputStream;
import java.util.Scanner;

public class CountLines_v1e_File
{
   public static void main(String[] args) throws IOException
   {
    //Scanner scanner = new Scanner(new FileInputStream("data"));
      Scanner scanner = new Scanner(new File("data")); // Why doesn't this work??

      final SimpleDateFormat ft = new SimpleDateFormat("hh:mm:ss");
      System.out.println(ft.format(new Date()) + " Count lines in File ver 1e");
      Instant start = Instant.now();
      long byteCounter = 0;
      long lineCounter = 0;

      while ( scanner.hasNextLine() )
      {
         ++lineCounter;
         byteCounter += 1 + scanner.nextLine().length();
      }

      Instant stop = Instant.now();
      long time = Duration.between(start, stop).toMillis();
      System.out.printf("%s %,d bytes read from file.\n", ft.format(new Date()), byteCounter);
      System.out.printf("%s %,d lines read from file.\n", ft.format(new Date()), lineCounter);
      System.out.printf("elapsed time: %,dms\n", time);
      scanner.close();
   }
}
